Bug 1872385 - Creating an SBR's to a node in an operator group connects to different node
Summary: Creating an SBR's to a node in an operator group connects to different node
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Jeff Phillips
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 15:59 UTC by Jeff Phillips
Modified: 2020-09-01 20:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.nightly-2020-08-02-134243 Cluster ID: 7a037282-01d9-4fc5-b0aa-8a8941816e6c Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.135 Safari/537.36
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6435 None closed Bug 1872385: Connect SBRs to the operator grouping rather than a random workload within 2020-09-08 16:54:10 UTC

Description Jeff Phillips 2020-08-25 15:59:53 UTC
Description of problem:

Attempting to create an SBR to a node in a operator group sometimes creates a connection to a different node in the group.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:

1. Install the 3scale operator
2. Add the 3scale operator to your project
3. In topology, notice the operator grouping get added
4. Drag to create a new connector to one of the nodes in the group (try system-memcache

Actual results:

A service binding connection is created from the selected source to a different target


Expected results:

The drop target should be the group area of the operator grouping.
The connection should be made the the operator grouping.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.